--Entry 7. Gameplay rooms: 1

entry7 = diary {
   nam          = "18 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[У меня сильный жар, голова раскалывается от боли, и сил уже совсем не осталось. Сегодня я с трудом заставил себя
                    встать с постели и сесть за стол, как если бы верил в то, что ведение этого журнала как-то поможет мне излечиться.
                    Я только сейчас подумал, что и правда стал капитаном этого корабля, получил этот титул после того, как
                    умерли все, кто мог бы это делать лучше меня. Капитан мертвого корабля, который стоит с поднятым парусом на рифах.^^
                    Лиза, зачем я отправился сюда? Я тогда словно лишился рассудка! Смерть отца была для меня тяжелым ударом, но я никогда бы
                    даже не подумал о том, чтобы продолжать его не начатые исследования, рисковать своей жизнью, отправляясь на край
                    света через океан. Решиться на такое путешествие для меня было шагом не столько даже отчаянным, сколько безумным, как 
                    если бы безумие могло передаваться по наследству -- вместе с имением, "Майским цветком" и незакрытыми долгами. Почему
                    ты отпустила меня, Лиза? Почему?^^
                    Ты никогда не говорила мне, что я должен продолжить отцовское дело, но после смерти отца все как будто изменилось... 
                    Эта пустота внутри меня... И ты изменилась тоже... А может, ты просто увидела меня таким, каким я и был на самом деле?^^
                    Теперь, вспоминая об этом, я лишь уверяюсь в том, что ты меня в действительности никогда не любила. И именно поэтому ты
                    и осталась там, на другом берегу, не отправилась со мной, несмотря на свое показное восхищение моим поступком.
                    Ты осталась там и пришла лишь для того, чтобы попрощаться. Ведь это так очевидно и явно -- как я мог не замечать, не понимать
                    этого раньше. Но я все равно думаю о тебе, Лиза. Чувства мои остались прежними. Только почему-то последние дни мне становится
                    все сложнее вспомнить твое лицо.]]
  ,next         = walk_("dream")
}

dream = scene {
   nam          = "На палубе"
  ,enter        = music_("clearwaters", 0)
  ,obj          = { 
                     "dream_hold"
                    ,"dream_ship"
                    ,"dream_dock"
                    ,"dream_lisa"
                    ,"dream_lisasee"
                    ,"dream_sky"
                  }
  ,TurnAround   = choose_ {
                     ["default"] = [[Лучше сначала привлечь внимание Лизы, я еще успею налюбоваться матросами.]]
                    ,["dream_lisa._see and not dream_lisa._turn"] = [[Я не могу оторвать глаз от Лизы. Ведь я не увижу ее несколько месяцев.]]
                    ,["dream_lisa._see and dream_lisa._turn"] = chain_ { mute_(3000,3000), walk_("dreamend") }
                  }
}

dream_sky = item {
   nam          = _"небо"
  ,Exam         = [[Небо совсем чистое, сегодня не должно быть дождя.]]
}

dream_hold = item {
   nam          = _"палуба"
  ,dsc          = [[Я стою на палубе "Майского цветка". Все вокруг заливает солнечным светом.]]
  ,Exam         = [[Я осматриваю палубу вокруг себя. Рядом со мной стоят матросы. Многих тоже пришли провожать, и они кричат что-то, энергично размахивая
                    руками. Кажется, словно мы отправляемся не в плавание через Тихий Океан, а на какой-нибудь праздничный парад.]]
  ,Sit          = [[Я не хочу сидеть на палубе, лучше последний раз попрощаться с Лизой.]]
  ,Lie          = [[С какой стати я буду сейчас ложиться на палубу?]]
}

dream_ship = item {
   nam          = _"корабль"
  ,dsc          = [[Корабль еще в порту, но уже готовится к отплытию. Мне все еще не верится в то, что я действительно решился на это -- отправиться в 
                    двухмесячное плавание через Тихий Океан.^]]
  ,Exam         = [["Майский цветок" сегодня весь сверкает. Всего лишь месяц назад корабль был еще в верфи, и мы осматривали его вместе с отцом. Это будет
                    первое плавание "Майского цветка" через Тихий Океан.]]
  ,Move         = [[Какие странные мысли лезут мне в голову из-за волнения.]]
  ,Ascend       = [[Я и так на корабле.]]
  ,Climb        = redirect_("Ascend", "dream_ship")
  ,Descend      = [[Нет, на это уже нет времени. Мы скоро отплываем.]]
}

dream_dock = item {
   nam          = _"пристань"
  ,dsc          = [[Я смотрю на пристань, где собрались провожающие.]]
  ,Exam         = [[Людей на пристани довольно много -- в основном, это простолюдины, семьи матросов, которым показалось мало прощаний на берегу, и они,
                    верно, будут стоять здесь, пока "Майский цветок" не исчезнет из вида. Лиза никогда не любила толпы людей, удивительно, что она все-таки
                    пришла сюда.]]
  ,Walk         = redirect_("Descend", "dream_ship")
  ,DescendOn    = redirect_("Descend", "dream_ship")
}

dream_lisa = item {
   _see         = false --Lisa see me
  ,turn         = false --I need to turn around
  ,nam          = _"Лиза"
  ,live         = true
  ,dsc          = [[Лиза тоже там -- она стоит чуть в сторонке, как будто немного смущается того, что пришла.]]
  ,Exam         = choose_ {
                     ["default"] = 
                      [[На Лизе светло-зеленое кисейное платье, которое она надевает только по праздникам. Красивая кашмирская шаль постоянно соскальзывает
                        с ее плеч, и она время от времени поправляет ее рукой. Видно, что она волнуется и как-то нервно покачивает маленьким зонтиком.
                        Зачем она взяла с собой зонт? Ведь небо совсем чистое, сегодня не должно быть дождя.]]
                    ,["dream_lisa._see"] =
                        chain_ {
                          set_("dream_lisa._turn"),
                          [[Кажется, Лиза хочет что-то мне сказать. Она показывает куда-то рукой, как если бы хотела, чтобы я обернулся.]]
                        }
                  }
  ,Swing        = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("dream_lisa._see"),
                          [[Я махаю Лизе рукой, она, наконец, замечает меня и тоже машет мне в ответ. Я вижу, что она улыбается. Почему-то именно сейчас, на
                            пристани, в этой своей индийской шали она кажется мне необыкновенно красивой. Легкий порыв ветра развевает ее оборчатое платье.
                            Я не могу ей налюбоваться. Мне хочется <i>смотреть</i> на нее, не отрываясь.]]
                        }
                    ,["dream_lisa._see"] = [[Я еще раз помахал Лизе рукой.]]
                  }
}

dream_lisasee = item {
   nam          = ""
  ,dsc          = [[Она как-то взволнованно оглядывается по сторонам -- кажется, она не замечает меня. Надо как-то привлечь ее внимание.]]
  ,cnd          = not_("dream_lisa._see")
}

dreamend = scene {
   nam          = nilfun
  ,enter        = music_("violin")
  ,dsc          = [[Я оборачиваюсь и вдруг замечаю огромные грозовые облака, которые поднявшийся ветер приносит со стороны заката. Черные тучи быстро затягивают 
                    небо, солнечный свет меркнет, я вижу первую вспышку грозы...]]
  ,verbs        = {
                    { "Next", "дальше", "{}" } 
                  }
  ,Next         = chain_ { drop_("jacket"), drop_("shoes"), drop_("pants"), walk_("entry8") }
}
