-- $Name: Материк$
-- $Version: 2.3$

instead_version "1.9.0"
dofile "util.lua"
dofile "verbs.lua"
dofile "tutorial.lua"
dofile "game/common.lua"
dofile "game/entry1.lua"
dofile "game/entry2.lua"
dofile "game/entry3.lua"
dofile "game/entry4.lua"
dofile "game/entry5.lua"
dofile "game/entry6.lua"
dofile "game/entry7.lua"
dofile "game/entry8.lua"

titlebg         = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture_title.jpg");
                  end
regbg           = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture.jpg");
                  end



main = scene {
   dsc          = "^^"..txtc(bigheader:txt("Материк")) .. "^"..txtc("игра на платформе INSTEAD")
                  --"^"..
                  --quest:txt("Материк")..
                  --[[^
                    ^Версия: 1.1
                    ^Платформа INSTEAD и модуль Мета-парсер: Петр Косых
                    ^Сценарий и программирование игры: Василий Воронков
                    ^Музыка: Kevin MacLeod
                    ^Бета-тестирование: Петр Косых, Вадим Балашов
                    ^
                    ^Исходный код игры доступен под лицензией GNU GPL v2. Музыка и 
                    графика доступны под лицензией Creative Commons. Художественные тексты
                    являются собственностью автора и защищены законом об авторском праве.
                    ^Москва, 2013 г.
                  ]]
  ,nosort       = true
  ,enter        = chain_ {
                    titlebg,
                    music_("reachingout", 0)
                  }
  ,Newgame      = chain_ {
                    take_("pants"),
                    take_("jacket"),
                    take_("shoes"), 
                    take_("spyglass"),
                    walk_("gamestart")
                  }
  ,Creators     = walk_("credits")
  ,Tutorial     = walk_("tutorial1")
  ,verbs        = {
                     { "Newgame", "начать игру", "{}" }
                    ,{ "Creators", "создатели", "{}" }
                    ,{ "Tutorial", "как играть", "{}" }
                  }
}

credits = scene {
   dsc          = "^"..
                  quest:txt("Создатели").. 
                  [[^^
                  Версия: 2.3^^
                  Платформа INSTEAD и модуль Мета-парсер: Петр Косых^
                  Сценарий и программирование игры: Василий Воронков^
                  Музыка: Кевин Маклеод (Kevin MacLeod)^
                  Английская версия: Райан Джозеф (Ryan Joseph)^
                  Тестирование: Петр Косых, Вадим Балашов, Райан Джозеф (Ryan Joseph)^
                  INSTEAD: http://instead.syscall.ru/^^
                  
                  Титульное изображение: Nico Trinkhaus, Sailing around Mallorca^
                  http://www.flickr.com/photos/ntrinkhaus/14242215803/^^
                  
                  Изображение в конце игры: alexcoitus, Islands^
                  http://www.flickr.com/photos/alexcoitus/9443789294^^
                  
                  Текстура для фона: Erica Parée, Paper Texture 1^
                  http://www.flickr.com/photos/pareeerica/2683238976/^^
                  
                  Музыка доступна по лицензии Creative Commons By Attribution 3.0:^
                  http://creativecommons.org/licenses/by/3.0/^^
                  
                  В игре использовались следующие композиции Кевина Маклеода:^
                  "Clear Waters"^
                  "Cryptic Sorrow"^
                  "Heartbreaking"^
                  "Reaching Out"^
                  "Wounded"^
                  "Mourning Song"^
                  Все композиции доступны на сайте: http://incompetech.com/music/
                  ]]
  ,enter        = regbg
  ,verbs        = { { "Back", "вернуться", "{}" } }
  ,Back         = walk_("main")
}

gamestart = pause {
   time         = 3000
  ,enter        = chain_ {
                    regbg,
                    mute_(3000,3000)
                  }
  ,fading       = 30
  ,next         = "entry1"
}
