-- $Name: Mainland (EN)$
-- $Version: 2.3$

instead_version "1.9.0"
dofile "eng/util.lua"
dofile "eng/verbs.lua"
dofile "eng/tutorial.lua"
dofile "eng/game/common.lua"
dofile "eng/game/entry1.lua"
dofile "eng/game/entry2.lua"
dofile "eng/game/entry3.lua"
dofile "eng/game/entry4.lua"
dofile "eng/game/entry5.lua"
dofile "eng/game/entry6.lua"
dofile "eng/game/entry7.lua"
dofile "eng/game/entry8.lua"

--game.pic = 'gfx/texture-overlay2.png';
gametitle = font("theme/libs-r.ttf", 40);
titlebg         = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture_title.jpg");
                  end
regbg           = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture.jpg");
                  end

main = scene {
   dsc          = "^^"..txtc(bigheader:txt("Mainland")) .. "^"..txtc("a game on INSTEAD platform")
  ,nosort       = true
  ,enter        = chain_ {
                    titlebg,
                    music_("reachingout", 0)
                  }
  ,Newgame      = chain_ {
                    take_("pants"),
                    take_("jacket"),
                    take_("shoes"), 
                    take_("spyglass"),
                    walk_("gamestart")
                  }
  ,Creators     = walk_("credits")
  ,Tutorial     = walk_("tutorial1")
  ,verbs        = {
                     { "Newgame", "start game", "{}" }
                    ,{ "Tutorial", "tutorial", "{}" }
                    ,{ "Creators", "credits", "{}" }
                  }
}

credits = scene {
   dsc          = quest2:txt("Credits")..
                  [[^^
                    Version 2.3^^
                    INSTEAD Platform And Metaparser Module by Peter Kosyh^
                    Story, Russian text, and Programming by Vasily Voronkov^
                    English Localization by Ryan Joseph^
                    Testing by Peter Kosyh, Vadim Balashoff, Ryan Joseph^
                    Music by Kevin MacLeod, incompetech.com^
                    INSTEAD: http://instead.syscall.ru^^
                    
                    Title Image: Nico Trinkhaus, Sailing around Mallorca^
                    http://www.flickr.com/photos/ntrinkhaus/14242215803/^^
                    
                    End Credits Image: alexcoitus, Islands^
                    www.flickr.com/photos/alexcoitus/9443789294^^
                    
                    Background Texture: Erica Parée, Paper Texture 1^
                    www.flickr.com/photos/pareeerica/2683238976^^
                    
                    Music is licensed under Creative Commons: By Attribution 3.0:^
                    http://creativecommons.org/licenses/by/3.0/^^
                    The game includes the following instrumentals by Kevin MacLeod:^
                    "Clear Waters"^
                    "Cryptic Sorrow"^
                    "Heartbreaking"^
                    "Reaching Out"^
                    "Wounded"^
                    "Mourning Song"^
                    Music is available at http://incompetech.com/music/
                  ]]
  ,Back         = walk_("main")
  ,enter        = regbg
  ,verbs        = { { "Back", "return", "{}" } }

}

gamestart = pause {
   time         = 3000
  ,enter        = chain_ {
                    regbg,
                    mute_(3000,3000)
                  }
  ,fading       = 30
  ,next         = "entry1"
}

