--Entry 5. Gameplay rooms: 2

entry5 = diary {
   nam          = "13 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[Я сам не знаю, почему так испугался вчера, как если бы из-за горячки у меня вдруг помутился рассудок.
                    Я даже начинаю сомневаться, действительно ли увидел остроконечную лодку с темнокожими гребцами, или неумолимо 
                    прогрессирующая островная лихорадка просто вызывает у меня эти нарочитые видения -- скоро я, верно, увижу призрачный
                    галеон, плывущий над волнами в течении ветра, и моего покойного отца на капитанском мостике с потерянной подзорной
                    трубой.^^
                    Как бы то ни было, совсем не так представлял я себе первую встречу с туземцами -- вообще, признаться, рассказы о 
                    независимых племенах и, тем более, о каннибалах, ведущих первобытный, почти животный образ жизни и ни разу не видевших
                    белого человека, казались мне раньше лишь пустыми россказнями. Отец всегда говорил об этом довольно уклончиво и даже старался
                    сменить тему, если речь вдруг заходила о диких племенах темнокожих, до сих пор не встретившихся с цивилизацией.
                    Во время своего первого и единственного визита на острова отец жил на плантациях копры и, сдается мне, что все туземцы,
                    которых он видел, были рабами, с которыми обращались не лучше, чем с домашним скотом. Я почему-то уверен, что он даже
                    ни разу в одиночку не отлучался с плантации -- хотя это одна из тех тем, о которых он предпочитал не говорить.^^
                    Когда он решил написать это свое исследование? Когда жил на плантации? Когда возвращался в Лондон? Я уже не помню
                    да и не уверен, по правде говоря, что отец вообще рассказывал об этом...^^
                    ...Ну вот, у меня почти закончились чернила. Не уверен, есть ли здесь хоть маленький пузырек. Может, журнал
                    мой придется завершить на полуслове...
                  ]]
  ,next         = walk_("cabin2")
}

entry5b = diary {
   nam          = "13 сентября 1846 года (продолжение)"
  ,enter        = music_("paper")
  ,dsc          = [[Когда отец надумал заняться своими исследованиями? Угнетал ли его тот факт, что как совладелец промысла копры, он и сам
                    участвует в этой постыдной работорговле, которую многие пытаются оправдать тем, что темнокожие не являются такими же, как и
                    мы, людьми, а следственно, и законы Божие распространяются на них не полностью? Впрочем, сейчас это не так уж и важно. Важно
                    другое -- то, что отец мой настолько проникся этой идеей, что никто не был в силах его остановить. Никто, кроме больного
                    сердца.^^
                    Отец тщательно готовился к новой миссии несколько лет, пока я не менее тщательно готовился к началу своей адвокатской практики.
                    Я старался не вмешиваться в дела отца, пока не узнал, что он собирается строить свой собственный корабль. Видит Бог, тогда я был
                    уверен, что жизнь на островах неведомым образом погубила его рассудок! Наверное, если бы не Лиза, я бы и сейчас продолжал
                    считать также.^^
                    Отец скончался как раз незадолго до завершения строительства "Майского цветка" и должен признать, что тогда, во время траура,
                    я даже и не помышлял о том, чтобы отправиться на край света и исполнить то, что не успел мой отец. Мысль эта зародилась во
                    мне уже потом и вскоре захватила меня целиком -- как болезнь, от которой нет излечения. Сейчас, по здравом размышлении, я даже
                    не сомневаюсь, что никогда бы сам не решился на это плавание, не будь со мной Лизы. Двухмесячное путешествие через Тихий Океан,
                    жизнь с туземцами -- у меня и сейчас не укладывается в голове, как я мог отважиться на такое. Рассказы о штормах и ураганах,
                    о далеких островах, о темнокожих туземцах вселяли в меня лишь страх. Я всегда считал себя убежденным домоседом и не слишком
                    бы расстроился, если бы мне даже всю жизнь пришлось провести, не покидая Лондона. Да, если бы не Лиза...
                  ]]
  ,next         = chain_ { drop_("ink"), drop_("knife"), drop_("candle2"), drop_("flask2"), walk_("entry6") }
}

cabin2 = scene {
   _cure        = false --A wound is cured
  ,_wash        = false --Wound is washed
  ,enter        = music_("crypticsorrow", 0)
  ,nam          = _"Каюта капитана"
  ,obj          = { 
                     "cabin2_itself"
                    ,"cabin2_desk"
                    ,"cabin2_deskboxes"
                    ,"knife"
                    ,"cabin2_wound"
                    ,"cabin2_drobe"
                    ,"cabin2_bed"
                    ,"cabin2_window"
                    ,"cabin2_box"
                    ,"candle2"
                    ,"matches2"
                    ,"cabin2_floor"
                    ,"cabin2_goout"
                    ,"cabin2_painting"
                  }
  ,Exit         = [[Идет дождь, да и мне совсем не хочется выходить.]]
  ,TurnAround   = [[В капитанской каюте никого нет, кроме меня.]]
}

cabin2_painting = item {
   nam          = _"картина"
  ,Exam         = [[Некрасивая картина с одномачтовым парусником, который попал в какой-то наигранный ненатуральный шторм.]]
  ,Move         = [[Думаю, стоит и правда убрать ее. Но не сейчас.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,withPure     = true
}

cabin2_itself = item {
   nam          = _"каюта"
  ,dsc          = choose_ {
                     ["default"] = 
                        [[В каюте капитана довольно сумеречно, хотя еще только середина дня. Мне стоило зажечь свечу, прежде чем приниматься писать -- теперь
                          у меня из-за этого полумрака разболелись глаза.]]
                    ,["cabin2_bed._sit"] = [[В каюте капитана довольно сумеречно, хотя еще только середина дня.]]
                  }
  ,Exam         = [[Я живу здесь уже несколько недель, но все никак не привыкну. А ведь не исключено, что эта каюта -- последний мой дом.]]
}

cabin2_desk = item {
   nam          = _"стол|~письменный стол"
  ,dsc          = choose_ {
                     ["not cabin2_bed._sit"] = [[Я стою рядом с письменным столом, опираясь на него рукой.]]
                  }
  ,Exam         = [[Огромный стол из резного дерева, какой скорее ожидаешь увидеть в кабинете известного романиста, чем в каюте капитана небольшого корабля.]]
  ,Open         = redirect_("Open", "cabin2_deskboxes")
  ,SitAt        = choose_ {
                     ["not have(ink)"] = [[А я ведь так и не нашел пузырек чернил.]]
                    ,["not cabin2._wash"] = [[Надо бы сначала обработать рану на ноге.]]
                    ,["not cabin2._cure"] = [[Рана на ноге вся потемнела. Мне кажется, стоит прижечь рану.]]
                    ,["default"] = walk_("entry5b")
                  }
  ,Sit          = [[Не думаю, что стоит сидеть на столе, когда рядом есть стул.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Ascend       = redirect_("Sit", "cabin2_desk")
  ,Climb        = redirect_("Sit", "cabin2_desk")
  ,ClimbIn      = [[Вряд ли я помещусь в ящиках этого стола.]]
  ,Move         = [[Мне нравится, как стоил стоит сейчас.]]
  ,withPure     = true
}

cabin2_deskboxes = item {
   nam          = _"ящики стола"
  ,Exam         = choose_ {
                     ["default"] = [[У стола есть ряд массивных ящиков с фигурными медными ручками. Только нижних из них запирается на ключ, однако этот ящик 
                                     я уже открыл. Я внимательно проверил содержимое всех ящиков, но пузырек с чернилами не нашел.]]
                    ,["have(ink)"] = [[В ящиках стола нет ничего полезного.]]
                  }
  ,Open         = [[Все ящики стола уже открыты.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,ClimbIn      = redirect_("ClimbIn", "cabin2_desk")
  ,withPure     = true
}

knife = item {
   _on          = false --Knife is heated
  ,nam          = name_ {
                     ["default"] = _"нож для бумаг"
                    ,["нагреть"] = _"кончик ножа"
                    ,["раскалить"] = _"кончик ножа"
                    ,["накалить"] = _"кончик ножа"
                    ,["греть"] = _"кончик ножа"
                    ,["прижечь"] = _"кончик ножа"
                  }
  ,dsc          = [[На столе, у моей руки, лежит нож для бумаг с красивой перламутровой рукояткой, украшенной по бокам золотыми вензлями.]]
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Еще один предмет, перекочевавший сюда из кабинета романиста. Нож довольно массивный и тяжелый -- возможно, из-за рукоятки -- а лезвие его весьма
                          острое, хоть его и можно согнуть двумя пальцами.]]
                    ,["have(knife)"] = [[Нож довольно массивный и тяжелый -- возможно, из-за рукоятки -- а лезвие его весьма острое, хоть его и можно согнуть двумя пальцами.]]
                  }
  ,Take         = chain_ {
                    take_("knife"),
                    [[Я взял со стола нож для бумаг.]] 
                  }
  ,Heat         = use_ {
                    ["candle2"] = 
                      choose_ {
                         ["knife._on"] = "Кончик ножа и так раскален."
                        ,["default"] =
                            choose_ {
                               ["default"] = "Свечу хорошо бы сначала зажечь."
                              ,["candle2._on"] = chain_ { set_("knife._on"), [[Я долго держал над пламенем свечи кончик ножа, пока он не стал ярко красным.]] }
                            }
                      }
                  }
  ,Throw        = [[Нож для бумаг мне еще может пригодиться.]]
  ,withCure     = true
}

reu_cabin2wound = 
  choose_ {
     ["cabin2._wash"] = [[Я уже промывал рану.]]
    ,["default"] = 
        chain_ {
          set_("cabin2._wash"),
          [[Я сажусь на кровать и разматываю бинт, потом выливаю немного виски на рану. Жечь начинает так сильно, что я едва сдерживаюсь, 
            чтобы не закричать. Кажется, что кожа вокруг раны начинает гореть и слезает с костей -- так, верно, мучаются грешники в аду, когда 
            сатана наказывает их за земные грехи.^Лишь спустя несколько минут жжение стихает.]]
        }
  }
cabin2_wound = item {
   nam          = _"рана|~нога|~правая нога"
  ,dsc          = choose_ {
                     ["not cabin2_bed._sit and not cabin2._cure"] = 
                        [[Рана у меня на правой ноге начала побаливать, как только я встал. Надо бы чем-нибудь ее обработать. ^Я оглядываюсь по сторонам.^]]
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Я аккуратно разматываю бинт и осматриваю рану. Я, конечно, не врач, но рана выглядит не очень -- кожа вокруг рваного пореза потемнела и
                          воспалилась. Как бы не было заражения. Рану нужно чем-нибудь прижечь. Я видел, как судовой врач делал это каленым ножом, у меня тоже
                          должно получиться.]]
                    ,["cabin2._cure"] = [[Рана теперь выглядит лучше, хотя болит гораздо сильнее.]]
                  }
  ,Cure         = use_ {
                    ["knife"] = 
                        choose_ {
                           ["default"] = [[Надо бы сначала промыть рану чем-нибудь. Вчера я использовал для этого остатки виски.]]
                          ,["cabin2._wash and not knife._on"] = [[Надо сначала раскалить кончик ножа на огне.]]
                          ,["cabin2._wash and knife._on and not cabin2._cure"] = 
                            chain_ { 
                              set_("cabin2._cure"), 
                              [[Я несколько секунд сижу на кровати, глубоко и размеренно вздыхая. Затем я опускаю взгляд на свою окровавленную ногу.
                                Я сжимаю зубами рукав камзола, чтобы не закричать и подношу раскаленное острие ножа к ране. Я немного медлю. Я все еще 
                                чувствую жжение вокруг раны после того, как промыл ее крепким виски, но теперь мне предстоит боль куда более ужасная.^
                                Наконец, я решаюсь, закрываю глаза и прижимаю нож к ране. ^Все мое тело словно пронзает судорогой, в глазах у меня 
                                темнеет и, видимо, на какое-то мгновение я теряю сознание.^Когда я прихожу в себя, то вижу, что нож валяется на полу,
                                и от его кончика исходит едва заметная струйка дыма.]]
                            }
                          ,["cabin2._wash and cabin2._cure"] = [[Я уже прижег рану, больше я ничего не смогу сделать.]]
                        }
                  }
  ,Wash         = use_ {
                     ["ink"] = [[Вряд ли стоит промывать рану чернилами.]]
                    ,["flask2"] = reu_cabin2wound
                  }
  ,Clean        = use_ {
                     ["kerchief"] = [[Я несколько раз коснулся раны чистым краем платка, и на платке остались темные следы крови.]]
                    ,["jacket"] = [[Не стоит касаться раны грязным засаленным камзолом -- как бы не занести заражение.]]
                  }
  ,withPure     = true
}

cabin2_drobe = item {
   nam          = _"шкаф|~дубовый шкаф"
  ,dsc          = [[В углу, у двери, стоит высокий деревянный шкаф размером с чулан в ином лондонском доме.]]
  ,Exam         = choose_ {
                     ["default"] = 
                      chain_ { 
                        take_("flask2"), 
                        [[Я осмотрел содержимое шкафа и взял небольшую флягу с виски, которую я нашел на смотровой площадке. Странно, я даже не помню, как положил ее сюда.]] 
                      }
                    ,["have(flask2)"] = [[Я больше не вижу шкафу ничего полезного.]]
                  }
  ,Open         = [[Шкаф не закрыт.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = [[Шкаф слишком тяжелый, чтобы я мог его передвинуть. К тому же, нет никакой причины делать это.]]
  ,Ascend       = [[Я еще не выжил из ума, чтобы залезать на шкаф.]]
  ,Climb        = redirect_("Ascend", "cabin2_drobe")
  ,ClimbIn      = [[Мне не от кого прятаться в шкафу.]]
  ,Clean        = nilfn
  ,withPure     = true
}

flask2 = item {
   nam          = name_ {
                     ["промыть"] = _"виски"
                    ,["default"] = _"фляга"
                    ,["пить"] = _"виски"
                    ,["выпить"] = _"виски"
                    ,["вылить"] = _"виски"
                    ,["налить"] = _"виски"
                    ,["лить"] = _"виски"
                  }
  ,Exam         = [[Небольшая фляга, которую я нашел на смотровой площадке на грот-мачте. Во фляге еще осталось немного виски.]]
  ,Throw        = [[Не стоит выбрасывать фляжку.]]
  ,Drink        = [[Мне совсем не хочется пить этот отвратительный дешевый виски. К тому же, он может пригодиться для чего-нибудь другого -- например, промыть рану.]]
  ,Pure         = use_ {
                     ["default"] = [[Я бы поберег виски и постарался не портить вещи.]]
                    ,["cabin2_wound"] = reu_cabin2wound
                  }
  ,withWash     = true
}

cabin2_bed = item {
   nam          = _"~кровать|постель"
  ,dsc          = [[Постель не убрана и, глядя на нее, кажется, что я лишь недавно поднялся, хотя солнце уже давно миновало зенит.]]
  ,Exam         = [[Широкая кровать, на которой когда-то спал капитан, а теперь сплю я. Простыни все измялись, и на них можно заметить следы крови --
                    ночью у меня сбилась повязка на ноге.]]
  ,Sit          = [[Я немного посидел на кровати, потом встал на ноги.]]
  ,Stand        = [[Я и так стою на ногах.]]
  ,Lie          = walk_("bedroom2")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = [[При всем желании я не смогу передвинуть эту кровать.]]
  ,Ascend       = redirect_("Lie", "cabin2_bed")
  ,Climb        = redirect_("Lie", "cabin2_bed")
  ,ClimbIn      = redirect_("Lie", "cabin2_bed")
  ,Clean        = nilfn
  ,withPure     = true
}

cabin2_window = item {
   nam          = _"окно"
  ,dsc          = [[Впрочем, если выглянуть в окно, то можно подумать, что уже глубокий вечер -- все небо затянуто пасмурными облаками, и над океаном стоит
                    густая дымка дождя.]]
  ,Exam         = [[По стеклу стекают капли дождя и кажется, что все за пределами этого корабля растворяется в дождевой воде.]]
  ,Open         = [[Окно не открывается, да и зачем его открывать, ведь идет дождь.]]
  ,Clean        = nilfn
}

cabin2_box = item {
   _moved       = false --Box is moved
  ,nam          = _"тумбочка"
  ,dsc          = [[Рядом с постелью примостилась тумбочка.]]
  ,Exam         = choose_ {
                     ["default"] = 
                        chain_ {
                          take_("ink"),
                          [[Небольшая деревянная тумбочка. Судя по всему, ей уже немало лет -- лак местами потрескался и облупился, а на ножках можно
                            заметить много ссадин, как если бы тумбочку постоянно передвигали.^
                            Я на всякий случай проверил все ящики тумбочки, и нашел в самом последнем небольшой пузырек чернил. То, что нужно.]]
                        }
                    ,["have(ink)"] = 
                        [[Небольшая деревянная тумбочка. Судя по всему, ей уже немало лет -- лак местами потрескался и облупился, а на ножках можно
                          заметить много ссадин, как если бы тумбочку постоянно передвигали.]]
                  }
  ,Move         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cabin2_box._moved"),
                          [[Я немного отодвинул тумбочку от стены и заметил, что на полу валяется коробка спичек. Должно быть, она упала с тумбочки.]]
                        }
                    ,["cabin2_box._moved"] = [[Я уже передвигал тумбочку.]]
                  }
  ,Open         = [[Тумбочка не закрыта.]]
  ,Sit          = [[Сидеть на тумбочке не очень-то удобно.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Ascend       = redirect_("Sit", "cabin_box")
  ,Climb        = redirect_("Sit", "cabin_box")
  ,ClimbIn      = [[Сомневаюсь, что я смогу залезть в тумбочку.]]
  ,Clean        = nilfn
  ,withPure     = true
}

ink = item {
   nam          = name_ {
                     ["промыть"] = _"чернила"
                    ,["пить"] = _"чернила"
                    ,["выпить"] = _"чернила"
                    ,["вылить"] = _"чернила"
                    ,["налить"] = _"чернила"
                    ,["лить"] = _"чернила"
                    ,["default"] = _"пузырек"
                  }
  ,Exam         = [[Небольшой стеклянный пузырек с чернилами. Чернил в нем не очень много, но чтобы закончить сегодняшнюю запись мне хватит.
                    А потом мне, наверное, все же придется спуститься в трюм.]]
  ,Drink        = [[Вряд ли стоит пить чернила.]]
  ,Pure         = use_ {
                     ["default"] = [[Мне как-то не хочется заливать здесь все чернилами.]]
                    ,["cabin2_bed"] = [[Да уж и правда, когда я смотрю на эти окровавленные простыни, -- единственная мысль, которая приходит мне в голову, это то, что здесь не хватает жирных чернильных пятен.]]
                    ,["cabin2_wound"] = [[Не стоит заливать рану чернилами.]]
                    ,["matches2"] = [[Я не хочу портить спички.]]
                    ,["cabin2_painting"] = [[Выливать чернила на картину, пусть даже плохую -- это варварство, да и, по правде сказать, мне жалко чернила. Кто знает, быть может, это последний пузырек.]]
                    ,["bedroom2_painting"] = [[Выливать чернила на картину, пусть даже плохую, это варварство, да и, по правде сказать, мне жалко чернила. Кто знает, быть может, это последний пузырек.]]
                  }
  ,Throw        = [[Возможно, это последний пузырек с чернилами на корабле. Стоит поберечь его.]]
  ,ThrowIn      = redirect_("Throw", "ink")
  ,withWash     = true
}

candle2 = item {
   _on          = false --Candle is on fire
  ,nam          = _"свеча"
  ,dsc          = choose_ {
                     ["default"] = [[На тумбочке стоит свеча, однако спичек рядом нет, хотя я точно помню, что положил их рядом со свечой. Может, они просто упали на пол?]]
                    ,["cabin2_box._moved"] = [[На тумбочке стоит свеча.]]
                  }
  ,Take         = chain_ { take_("candle2"), "Я взял свечу." }
  ,Exam         = choose_ {
                     ["candle2._on"] = [[Маленький огарок свечи, который я стараюсь беречь, так как не уверен, что смогу найти в трюме еще свечи.^Свеча сейчас горит.]]
                    ,["default"] = [[Маленький огарок свечи, который я стараюсь беречь, так как не уверен, что смогу найти в трюме еще свечи.^Свеча сейчас не горит.]]
                  }
  ,Fire         = choose_ {
                     ["default"] = chain_ { set_("candle2._on"), "Я зажег свечу." }
                    ,["candle2._on"] = "Свеча уже и так горит."
                  }
  ,FireOff      = chain_ { unset_("candle2._on"), "Я потушил свечу." }
  ,withHeat     = true
}

matches2 = item {
   nam          = _"спички"
  ,dsc          = "На полу, за тумбочкой, лежит медная коробка спичек."
  ,Take         = chain_ { take_("matches2"), "Я поднял коробку спичек." }
  ,Pick         = redirect_("Take", "matches2")
  ,Exam         = [[Почти полная коробка толстых фосфорных спичек.]]
  ,Throw        = [[Лучше не выбрасывать спички.]]
  ,ThrowIn      = redirect_("Throw", "matches2")
  ,withFire     = true
  ,withPure     = true
  ,cnd          = if_("cabin2_box._moved")
}

cabin2_floor = item {
   nam          = _"пол"
  ,Exam         = choose_ {
                     ["default"] = [[Я осмотрел пол, но не заметил ничего интересного.]]
                    ,["cabin2_box._moved and not have(matches2)"] = [[На полу у стены лежит медная коробка спичек.]]
                  }
  ,Sit          = [[Сидеть на полу в каюте мне совсем не хочется.]]
  ,Lie          = [[Зачем лежать на полу, когда рядом есть постель?]]
  ,Fire         = redirect_("Fire", "cmn_floor")
  ,FireOff      = redirect_("FireOff", "cmn_floor")
  ,Clean        = redirect_("Clean", "cmn_floor")
  ,Wet          = redirect_("Wet", "cmn_floor")
  ,withPure     = true
  ,withThrow    = true
}

cabin2_goout = item {
   nam          = _"палуба"
  ,Walk         = redirect_("Exit", "cabin2")
  ,Climb        = redirect_("Exit", "cabin2")
  ,DescendOn    = redirect_("Exit", "cabin2")
}

bedroom2 = scene {
   nam          = "На постели"
  ,obj          = { "bedroom2_itself", "bedroom2_painting", "bedroom2_legs" }
  ,TurnAround   = [[Сделать это совсем не просто, когда лежишь на постели.]]
  ,Wait         = [[Я начинаю засыпать.]]
  ,Exit         = walk_("cabin2", [[Я нехотя поднялся с постели.]])
}

bedroom2_itself = item {
   nam          = _"постель|~кровать"
  ,dsc          = [[Я прилег на постель. Сегодня у меня снова разошлась температура, и мне все время хочется спать, однако я
                    почему-то уверен, что от сна мне сделается только хуже.^Я закидываю руки за голову.]]
  ,Exam         = [[Именно здесь, на этой кровати, умирал капитан. Я заменил все простыни, но это все равно никак отменит того, что именно здесь, в этой
                    каюте, лежа под некрасивой картиной, не так давно умер человек.]]
  ,Stand        = walk_("cabin2", [[Я нехотя поднялся с постели.]])
  ,Lie          = [[Я и так лежу на постели.]]
  ,Sit          = walk_("cabin2", [[Я немного посидел на постели, а потом поднялся на ноги.]])
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Ascend       = redirect_("Lie", "cabin2_bed")
  ,Climb        = redirect_("Lie", "cabin2_bed")
  ,ClimbIn      = redirect_("Lie", "cabin2_bed")
  ,Move         = [[У меня нет никакого желания передвигать постель.]]
  ,Clean        = nilfn
  ,withPure     = true
}

bedroom2_painting = item {
   nam          = _"картина"
  ,dsc          = [[Над самой головой моей висит аляповатая картина легкого парусника, взбирающегося по волнам.]]
  ,Exam         = [[У меня нет никакого желания любоваться этой картиной, особенно, когда я лежу на постели.]]
  ,Fire         = [[Нет, мне по-прежнему не хочется сжигать эту картину.]]
  ,FireOff      = nilfn
  ,Move         = [[Надо бы когда-нибудь действительно перевесить эту картину. Но не сейчас.]]
  ,withPure     = true
}

bedroom2_legs = item {
   nam          = _"ноги"
  ,StandOn      = redirect_("Stand", "bedroom2_itself")
}